
Redmine - Patch #1471

Lua syntax highlighter for CodeRay

2008-06-16 21:12 - Chris Peterson

Status: Closed Start date: 2008-06-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version:    

Description

Attached is a patch that will add lua lexer syntax highlighting to coderay.

Related issues:

Blocked by Redmine - Feature #8253: Update CodeRay to 1.1 final Closed

History

#1 - 2009-11-22 17:18 - Mischa The Evil

Kornelius Kalnbach (CodeRay project-manager) has planned the integration of a Lua-scanner for CodeRay 1.0 RC1 based on the patch supplied

here by Chris Peterson. See http://redmine.rubychan.de/issues/39.

Therefor this issue will eventually get obsoleted whenever the CodeRay-library in Redmine is updated to 1.0+.

#2 - 2010-10-19 16:41 - Pierre-Yves Gérardy

There's a typo on line 54:

'upack' => 'unpack'

#3 - 2010-10-20 11:26 - Felix Schäfer

Pierre-Yves, please contact Kornelius for fixes to that, here's the wrong place for that :-)

#4 - 2010-10-20 15:46 - Kornelius Kalnbach

No, I'm not the right person to handle this. The Lua scanner is not part of the distribution. Since the ticket is still open, I don't think it's included in

Redmine. So this thread is a bit like the Lua scanner project page ;)

#5 - 2011-04-30 00:18 - Mischa The Evil

- Category set to Third-party libraries

Changed issue-relations to reflect the upstream roadmap:

- related to Feature #4264: Update CodeRay to 1.0 final

+ blocked by Feature #8253: Update CodeRay to 1.1 final

and changed to new - more appropriate - category...

#6 - 2011-04-30 02:55 - Mischa The Evil

- Target version set to Unplanned backlogs

#7 - 2011-05-06 10:14 - Ebrahim Mohammadi

Implementing #8120 as discussed would solve Lua syntax highlighting, since both Google Code Prettify and Sunlight support Lua.

#8 - 2013-10-26 10:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (Unplanned backlogs)

Superseded by #8253.
